Bug 134931 - Table does paste but not visible
Summary: Table does paste but not visible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-18 13:12 UTC by Telesto
Modified: 2020-08-10 10:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.73 KB, application/vnd.oasis.opendocument.text)
2020-07-18 13:12 UTC, Telesto
Details
Bibisect log (3.05 KB, text/plain)
2020-07-18 18:29 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-18 13:12:14 UTC
Description:
Table does paste but not visible

Steps to Reproduce:
1. open the attached file
2. Select the table (table cells only)
3. CTRL+X 
4. CTRL+V -> Nothing paste

Can also be done with copy
1. Select the full table
2. Put the cursor at start of the paragraph so before "<" paste

3. Save & reload -> Tables show up

Actual Results:
Tables doent show

Expected Results:
Should be so


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: d851a02df57ab378ed0cc6d9362516de09c3279c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-07-18 13:12:26 UTC
Created attachment 163236 [details]
Example file
Comment 2 Telesto 2020-07-18 18:17:06 UTC
No repro with
Version: 6.4.0.0.beta1+ (x64)
Build ID: 20be5cd0bdc57d812bf34a2debfe48caa51de881
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 3 Telesto 2020-07-18 18:29:43 UTC Comment hidden (obsolete)
Comment 4 Telesto 2020-07-18 18:32:00 UTC
Bisected to
author	Michael Stahl <Michael.Stahl@cib.de>	2020-04-02 17:18:37 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-04-03 17:20:22 +0200
commit	166b5010b402a41b192b1659093a25acf9065fd9 (patch)
tree	58a783dfc1800c604979380c121337ada3e5ad6f
parent	27aa4b16bf704d0246595750daf57b57ff2577b3 (diff)
tdf#130685 sw_redlinehide: fix copying to position following redline
In DocumentContentOperationsManager::CopyWithFlyInFly(), first
CopyNodes() also creates all layout frames, then SaveRedlEndPosForRestore
fixes the end position of all redlines that were moved by CopyNodes()
(they were moved not by changing their position but by inserting
new nodes before their end position).

Of course this means that the layout frames are created with redlines
that have only a temporary end position, and then things go wrong when
the end positions are adjusted, so add something similar to
SwUndoDelete::UndoImpl() to recreate the frames in CopyWithFlyInFly().

This hit the assert:
sw/source/core/text/redlnitr.cxx:94: std::unique_ptr<sw::MergedPara> sw::CheckParaRedlineMerge(SwTextFrame&, SwTextNode&, sw::FrameMode): Assertion `pNode != &rTextNode || &pStart->nNode.GetNode() == &rTextNode' failed.

(regression from ... sw_redlinehide)

https://cgit.freedesktop.org/libreoffice/core/commit/?id=166b5010b402a41b192b1659093a25acf9065fd9
Comment 5 Telesto 2020-07-18 18:33:11 UTC
Adding CC: to Michael Stahl

[Still unconfirmed, but not a fan of waiting; QA has backlog]
Comment 6 Commit Notification 2020-07-31 13:32:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5f7b937e9f81824f11022bc6b4dd222f700883cd

tdf#134931 sw_redlinehide: fix layout following paste of table

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2020-07-31 13:33:13 UTC
fixed on master
Comment 8 Commit Notification 2020-07-31 21:09:47 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99284a22f3cda8518cd2207128928c2e455c89ee

tdf#134931: sw_uiwriter: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-01 22:04:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/31f083b483c2932dff515dfdef7f330c6142a485

tdf#134931 sw_redlinehide: fix layout following paste of table

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-08-01 22:05:23 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f5f042fd0a8f107064763e04bdbbc098311e8d88

tdf#134931 sw_redlinehide: fix layout following paste of table

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2020-08-10 10:28:34 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!